Package org.bukkit.material

# Class Ladder

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SimpleAttachableMaterialData
org.bukkit.material.Ladder

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`

@Deprecated public class Ladder extends SimpleAttachableMaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents Ladder data

## Constructor Summary

Constructors
Constructor
Description
`Ladder()`
Deprecated.
`Ladder(Material type)`
Deprecated.
`Ladder(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Ladder`
`clone()`
Deprecated.
`BlockFace`
`getAttachedFace()`
Deprecated.
Gets the face that this block is attached on
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction this ladder is facing

### Methods inherited from class org.bukkit.material.SimpleAttachableMaterialData

`getFacing, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Ladder

public Ladder()
Deprecated.

### Ladder

public Ladder(Material type)
Deprecated.

### Ladder

@Deprecated public Ladder(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getAttachedFace

public BlockFace getAttachedFace()
Deprecated.
Gets the face that this block is attached on

Returns:
  BlockFace attached to

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Sets the direction this ladder is facing

Parameters:
  `face` - The facing direction

### clone

public Ladder clone()
Deprecated.

Overrides:
  `clone` in class `SimpleAttachableMaterialData`